
close all;

% position
figure;
subplot(3,1,1);
plot(out.position.time,out.position.signals(1).values,'LineWidth',1.5);
legend('Input', 'Response');
title('Positon X');
xlabel('Time (sec)');
ylabel('Angle (degree)');
grid on;
% ylim([0 80]);

subplot(3,1,2);
plot(out.position.time,out.position.signals(2).values,'LineWidth',1.5);
legend('Input', 'Response');
title('Position Y');
xlabel('Time (sec)');
ylabel('Angle (degree)');
grid on;
% ylim([0 80]);

subplot(3,1,3);
plot(out.position.time,out.position.signals(3).values,'LineWidth',1.5);
legend('Input', 'Response');
title('Position Z');
xlabel('Time (sec)');
ylabel('Angle (degree)');
grid on;
% ylim([0 70]);

% velocity
figure;
subplot(3,1,1);
plot(out.velocity.time,out.velocity.signals(2).values,'LineWidth',1.5);
legend('Velocity')
title('Velocity X')
xlabel('Time (sec)');
ylabel('Rpm');
grid on;

subplot(3,1,2);
plot(out.velocity.time,out.velocity.signals(1).values,'LineWidth',1.5);
legend('Velocity')
title('Velocity Y')
xlabel('Time (sec)');
ylabel('Rpm');
grid on;

subplot(3,1,3);
plot(out.velocity.time,out.velocity.signals(3).values,'LineWidth',1.5);
grid on
legend('Velocity')
title('Velocity Z')
xlabel('Time (sec)');
ylabel('Rpm');

%acc error

figure;
subplot(3,1,1);
plot(out.acc.time,out.acc.signals(2).values,'LineWidth',1.5);
legend('Control Effort')
title('Control Effort X')
xlabel('Time (sec)');
ylabel(' ');
% ylim([0 0.5]);
grid on;

subplot(3,1,2);
plot(out.acc.time,out.acc.signals(1).values,'LineWidth',1.5);
legend('Control Effort')
title('Control Effort Y')
xlabel('Time (sec)');
ylabel(' ');
% ylim([0 0.5]);
grid on;

subplot(3,1,3);
plot(out.acc.time,out.acc.signals(3).values,'LineWidth',1.5);
grid on
legend('Control Effort')
title('Control Effort Z')
xlabel('Time (sec)');
ylabel(' ');

%error 
figure;
subplot(3,1,1);
plot(out.error.time,out.error.signals(2).values  ,'LineWidth',1.5);
legend('Error')
title('Error X')
xlabel('Time (sec)');
ylabel('Angle (degree)');
% ylim([0 0.5]);
grid on;

subplot(3,1,2);
plot(out.error.time,out.error.signals(1).values  ,'LineWidth',1.5);
legend('Error')
title('Error Y')
xlabel('Time (sec)');
ylabel('Angle (degree)');

grid on;
subplot(3,1,3);
plot(out.error.time,out.error.signals(3).values  ,'LineWidth',1.5);
grid on
legend('Error')
title('Error Z')
xlabel('Time (sec)');
ylabel('Angle (degree)');

%%

figure
% plot(out.IO.time,out.IO.signals.values,'LineWidth',1.5);
% title('Position Z');
% xlabel('Time (sec)');
% ylabel('Angle (degree)');
% grid on;

plot(out.position.time,out.position.signalsCopy(3).values,'LineWidth',1.5);
hold on;
plot(out.position.time,out.position.signalsCopy(3).values,'LineWidth',1.5);
legend('60 degrees', '45 degrees');
grid on
title ('Position Z')
xlabel('Time (sec)');
ylabel('Angle (degree)');
